classification
Title: Add Py3k warning for non-ascii bytes literals
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, benjamin.peterson, martin.panter, python-dev, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2013-11-19 18:09 by serhiy.storchaka, last changed 2014-06-01 19:19 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
py3kwarn_nonascii_bytes_literals.patch serhiy.storchaka, 2013-11-19 18:09 review
Messages (3)
msg203406 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-19 18:09
PEP 3112 had added bytes literals in 2.6. But bytes literals in 2.x are just synonyms to 8-bit string literals and allow non-ascii characters, while bytes literals in 3.x allows only ascii characters. For better forward compatibility with 3.x the proposed patch adds Py3k syntax warning for non-ascii bytes literals in 2.7.
msg219506 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-01 15:19
Benjamin, what you think about this?
msg219519 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-01 19:13
New changeset 6bd21268876e by Serhiy Storchaka in branch '2.7':
Issue #19656: Running Python with the -3 option now also warns about
http://hg.python.org/cpython/rev/6bd21268876e
History
Date User Action Args
2014-06-01 19:19:40serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2014-06-01 19:14:00python-devsetnosy: + python-dev
messages: + msg219519
2014-06-01 15:19:26serhiy.storchakasetmessages: + msg219506
2014-05-13 17:40:54Arfreversetnosy: + Arfrever
2014-05-13 10:45:17vstinnersetnosy: + vstinner
2013-11-20 22:04:13martin.pantersetnosy: + martin.panter
2013-11-20 00:01:45pitrousetnosy: + benjamin.peterson
2013-11-19 18:09:47serhiy.storchakacreate